import React from 'react';
import {
  Router as DefaultRouter,
  Route,
  Switch,
  StaticRouter,
} from 'react-router-dom';
import dynamic from 'umi/dynamic';
import renderRoutes from 'umi/lib/renderRoutes';
import history from '@@/history';
import RendererWrapper0 from 'D:/project/advich/xinketong-seller/src/pages/.umi/LocaleWrapper.jsx';
import _dvaDynamic from 'dva/dynamic';

const Router = require('dva/router').routerRedux.ConnectedRouter;

const routes = [
  {
    path: '/user',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/UserLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/UserLayout').default,
    routes: [
      {
        path: '/user',
        redirect: '/user/login',
        exact: true,
      },
      {
        path: '/user/login',
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () => import('../User/Login'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../User/Login').default,
        exact: true,
      },
      {
        path: '/user/seller/link',
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () => import('../User/SellerLink'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../User/SellerLink').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/doc',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/UserLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/UserLayout').default,
    routes: [
      {
        path: '/doc',
        redirect: '/doc/list',
        exact: true,
      },
      {
        path: '/doc/list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () => import('../doc/doc_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../doc/doc_lists').default,
        exact: true,
      },
      {
        path: '/doc/detail',
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () => import('../doc/detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../doc/detail').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/agreement',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/UserLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/UserLayout').default,
    routes: [
      {
        path: '/agreement/detail',
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () => import('../agreement/agree_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../agreement/agree_detail').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/apply',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/BasicLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/BasicLayout').default,
    Routes: [require('../CheckSettle').default],
    routes: [
      {
        path: '/apply/settled',
        icon: 'usergroup-add',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/settledManage/models/settled.js').then(
                  m => {
                    return { namespace: 'settled', ...m.default };
                  },
                ),
              ],
              component: () => import('../settledManage/settled/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../settledManage/settled/index').default,
        exact: true,
      },
      {
        path: '/apply/settled_protocol',
        icon: 'file-done',
        name: 'apply_protocol',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/settledManage/models/settled.js').then(
                  m => {
                    return { namespace: 'settled', ...m.default };
                  },
                ),
              ],
              component: () => import('../settledManage/protocol/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../settledManage/protocol/index').default,
        exact: true,
      },
      {
        path: '/apply/base_info',
        icon: 'trophy',
        name: 'apply_base_info',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/settledManage/models/settled.js').then(
                  m => {
                    return { namespace: 'settled', ...m.default };
                  },
                ),
              ],
              component: () => import('../settledManage/baseInfo/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../settledManage/baseInfo/index').default,
        exact: true,
      },
      {
        path: '/apply/business_info',
        icon: 'dollar',
        name: 'apply_business_info',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/settledManage/models/settled.js').then(
                  m => {
                    return { namespace: 'settled', ...m.default };
                  },
                ),
              ],
              component: () => import('../settledManage/businessInfo/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../settledManage/businessInfo/index').default,
        exact: true,
      },
      {
        path: '/apply/open_up',
        icon: 'control',
        name: 'apply_open_up',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/settledManage/models/settled.js').then(
                  m => {
                    return { namespace: 'settled', ...m.default };
                  },
                ),
              ],
              component: () => import('../settledManage/openUp/open_up'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../settledManage/openUp/open_up').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/store/decorate_pc_home_to_edit',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/UserLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/UserLayout').default,
    Routes: [require('../CheckLogin').default],
    routes: [
      {
        path: '/store/decorate_pc_home_to_edit',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/pc_diy/edit_diy_page'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/pc_diy/edit_diy_page').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/goods/goods_detail',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/UserLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/UserLayout').default,
    routes: [
      {
        path: '/goods/goods_detail',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/goods_common_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/goods_common_detail').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/order/order_detail',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/UserLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/UserLayout').default,
    name: '',
    routes: [
      {
        path: '/order/order_detail',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/order_common_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/order_common_detail').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    path: '/',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () => import('../../layouts/BasicLayout'),
          LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
            .default,
        })
      : require('../../layouts/BasicLayout').default,
    Routes: [require('../CheckLogin').default],
    routes: [
      {
        path: '/',
        redirect: '/basic/simple_stat',
        exact: true,
      },
      {
        path: '/basic/simple_stat',
        icon: 'setting',
        name: 'basic_simple_stat',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/basic/models/home.js').then(
                  m => {
                    return { namespace: 'home', ...m.default };
                  },
                ),
              ],
              component: () => import('../basic/simple_stat'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../basic/simple_stat').default,
        exact: true,
      },
      {
        path: '/goods/goods_list',
        icon: 'shopping',
        name: 'goods_goods_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/goods_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/goods_list').default,
        exact: true,
      },
      {
        path: '/goods/goods_list_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/add_goods'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/add_goods').default,
        exact: true,
      },
      {
        path: '/goods/goods_storage_list',
        icon: 'project',
        name: 'goods_goods_storage_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/goods_storage_lists_title'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/goods_storage_lists_title').default,
        exact: true,
      },
      {
        path: '/goods/goods_storage_list_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/add_goods'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/add_goods').default,
        exact: true,
      },
      {
        path: '/goods/goods_check_list',
        icon: 'audit',
        name: 'goods_goods_check_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/goods_check_lists_title'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/goods_check_lists_title').default,
        exact: true,
      },
      {
        path: '/goods/goods_check_list_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/add_goods'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/add_goods').default,
        exact: true,
      },
      {
        path: '/goods/related_template',
        icon: 'api',
        name: 'goods_related_template',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/related_template'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/related_template').default,
        exact: true,
      },
      {
        path: '/goods/related_template_to_edit',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/edit_related_template'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/edit_related_template').default,
        exact: true,
      },
      {
        path: '/goods/attribute_group',
        icon: 'layout',
        name: 'goods_attribute_group',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/attribute_group'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/attribute_group').default,
        exact: true,
      },
      {
        path: '/goods/attribute_group_to_detail',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/attribute_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/attribute_list').default,
        exact: true,
      },
      {
        path: '/goods/goods_import',
        icon: 'cloud-upload',
        name: 'goods_import',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/goods_import'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/goods_import').default,
        exact: true,
      },
      {
        path: '/goods/goods_import_to_platform',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/platform_goods_import'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/platform_goods_import').default,
        exact: true,
      },
      {
        path: '/goods/goods_import_to_excel',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/excel_import'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/excel_import').default,
        exact: true,
      },
      {
        path: '/goods/goods_import_to_add',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/article.js').then(
                  m => {
                    return { namespace: 'article', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/evaluate.js').then(
                  m => {
                    return { namespace: 'evaluate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/member.js').then(
                  m => {
                    return { namespace: 'member', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/product.js').then(
                  m => {
                    return { namespace: 'product', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/reason.js').then(
                  m => {
                    return { namespace: 'reason', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/goods/models/vendor.js').then(
                  m => {
                    return { namespace: 'vendor', ...m.default };
                  },
                ),
              ],
              component: () => import('../goods/platform_goods_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../goods/platform_goods_detail').default,
        exact: true,
      },
      {
        path: '/order/order_lists',
        icon: 'container',
        name: 'order_order_lists',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/order_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/order_lists').default,
        exact: true,
      },
      {
        path: '/order/spell_group_order_lists',
        icon: 'solution',
        name: 'spell_group__order_lists',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/spell_group/order_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/spell_group/order_lists').default,
        exact: true,
      },
      {
        path: '/order/spell_group_order_lists_to_detail',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/order_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/order_detail').default,
        exact: true,
      },
      {
        path: '/order/order_lists_to_detail',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/order_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/order_detail').default,
        exact: true,
      },
      {
        path: '/order/order_deliver',
        icon: 'rocket',
        name: 'order_order_deliver',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/order_deliver'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/order_deliver').default,
        exact: true,
      },
      {
        path: '/order/service',
        icon: 'transaction',
        name: 'service',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/service/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/service/index').default,
        exact: true,
      },
      {
        path: '/order/service_refund_lists_to_detail',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/service/detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/service/detail').default,
        exact: true,
      },
      {
        path: '/order/service_return_lists_to_detail',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/service/detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/service/detail').default,
        exact: true,
      },
      {
        path: '/order/evaluation',
        icon: 'message',
        name: 'order_evaluation',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/evaluation'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/evaluation').default,
        exact: true,
      },
      {
        path: '/order/express',
        icon: 'read',
        name: 'express',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/express/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/express/index').default,
        exact: true,
      },
      {
        path: '/order/express_transport_to_add',
        icon: 'setting',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/express/add_transport'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/express/add_transport').default,
        exact: true,
      },
      {
        path: '/order/address_list',
        icon: 'environment',
        name: 'order_address_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/address_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/address_list').default,
        exact: true,
      },
      {
        path: '/order/print_setting',
        icon: 'setting',
        name: 'order_print_setting',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/print_setting'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/print_setting').default,
        exact: true,
      },
      {
        path: '/order/enquiry',
        icon: 'container',
        name: 'order_enquiry_lists',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/enquiry/enquiry_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/enquiry/enquiry_lists').default,
        exact: true,
      },
      {
        path: '/order/enquiry_track_to_add',
        icon: '',
        name: 'enquiry_track_to_add',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/enquiry/add_track'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/enquiry/add_track').default,
        exact: true,
      },
      {
        path: '/order/enquiry_receive_mail_setting',
        icon: 'setting',
        name: 'enquiry_receive_mail_setting',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/enquiry/receive_mail_setting'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/enquiry/receive_mail_setting').default,
        exact: true,
      },
      {
        path: '/store/setting',
        icon: 'shop',
        name: 'store_setting',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/setting'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/setting').default,
        exact: true,
      },
      {
        path: '/store/decorate_pc',
        icon: 'cluster',
        name: 'diy_decorate_pc',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/pc_diy/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/pc_diy/index').default,
        exact: true,
      },
      {
        path: '/store/decorate_pc_instance_template_lists_to_edit',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/pc_diy/add_template'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/pc_diy/add_template').default,
        exact: true,
      },
      {
        path: '/store/decorate_mhome',
        icon: 'mobile',
        name: 'diy_decorate_mhome',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/m_diy/m_diy_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/m_diy/m_diy_lists').default,
        exact: true,
      },
      {
        path: '/store/decorate_mhome_to_edit',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/m_diy/edit_m_diy_page'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/m_diy/edit_m_diy_page').default,
        exact: true,
      },
      {
        path: '/store/info',
        icon: 'profile',
        name: 'store_info',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/info'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/info').default,
        exact: true,
      },
      {
        path: '/store/category',
        icon: 'appstore',
        name: 'store_category',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/category'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/category').default,
        exact: true,
      },
      {
        path: '/store/brand_lists',
        icon: 'trademark',
        name: 'store_brand_lists',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/brand_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/brand_lists').default,
        exact: true,
      },
      {
        path: '/store/msg_setting',
        icon: 'setting',
        name: 'store_msg_setting',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/msg_setting'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/msg_setting').default,
        exact: true,
      },
      {
        path: '/store/msg_lists',
        icon: 'bell',
        name: 'store_msg_lists',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/msg_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/msg_lists').default,
        exact: true,
      },
      {
        path: '/store/account',
        icon: 'trademark',
        name: 'account',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/account/index'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/account/index').default,
        exact: true,
      },
      {
        path: '/store/media',
        icon: 'trademark',
        name: 'media',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/store/models/account.js').then(
                  m => {
                    return { namespace: 'account', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/mdecorate.js').then(
                  m => {
                    return { namespace: 'mdecorate', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/pc_home.js').then(
                  m => {
                    return { namespace: 'pc_home', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/store/models/store.js').then(
                  m => {
                    return { namespace: 'store', ...m.default };
                  },
                ),
              ],
              component: () => import('../store/media'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../store/media').default,
        exact: true,
      },
      {
        path: '/bill/account',
        icon: 'property-safety',
        name: 'bill_account',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/bill/models/bill.js').then(
                  m => {
                    return { namespace: 'bill', ...m.default };
                  },
                ),
              ],
              component: () => import('../bill/account_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../bill/account_lists').default,
        exact: true,
      },
      {
        path: '/bill/lists',
        icon: 'transaction',
        name: 'bill_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/bill/models/bill.js').then(
                  m => {
                    return { namespace: 'bill', ...m.default };
                  },
                ),
              ],
              component: () => import('../bill/lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../bill/lists').default,
        exact: true,
      },
      {
        path: '/bill/lists_to_detail',
        icon: 'transaction',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/bill/models/bill.js').then(
                  m => {
                    return { namespace: 'bill', ...m.default };
                  },
                ),
              ],
              component: () => import('../bill/detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../bill/detail').default,
        exact: true,
      },
      {
        path: '/point/goods_list_to_add',
        icon: 'export',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/goods/add_goods'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/goods/add_goods').default,
        exact: true,
      },
      {
        path: '/point/goods_list',
        icon: 'shopping',
        name: 'point_goods_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/goods/goods_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/goods/goods_list').default,
        exact: true,
      },
      {
        path: '/point/goods_list_to_import',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/goods/select_mall_goods'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/goods/select_mall_goods').default,
        exact: true,
      },
      {
        path: '/point/order_list',
        icon: 'profile',
        name: 'point_order_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/order/order_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/order/order_lists').default,
        exact: true,
      },
      {
        path: '/point/order_list_to_detail',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/order/order_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/order/order_detail').default,
        exact: true,
      },
      {
        path: '/point/bill_list',
        icon: 'pay-circle',
        name: 'point_bill_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/bill/lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/bill/lists').default,
        exact: true,
      },
      {
        path: '/point/bill_list_to_detail',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/point/models/point.js').then(
                  m => {
                    return { namespace: 'point', ...m.default };
                  },
                ),
              ],
              component: () => import('../point/bill/detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../point/bill/detail').default,
        exact: true,
      },
      {
        path: '/statistics/realtime',
        icon: 'dashboard',
        name: 'statistics_realtime',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/statistics/models/statistics.js').then(
                  m => {
                    return { namespace: 'statistics', ...m.default };
                  },
                ),
              ],
              component: () => import('../statistics/realtime'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../statistics/realtime').default,
        exact: true,
      },
      {
        path: '/statistics/trade',
        icon: 'dollar',
        name: 'statistics_trade',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/statistics/models/statistics.js').then(
                  m => {
                    return { namespace: 'statistics', ...m.default };
                  },
                ),
              ],
              component: () => import('../statistics/trade'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../statistics/trade').default,
        exact: true,
      },
      {
        path: '/statistics/enquiry',
        icon: 'line-chart',
        name: 'statistics_enquiry',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/statistics/models/statistics.js').then(
                  m => {
                    return { namespace: 'statistics', ...m.default };
                  },
                ),
              ],
              component: () => import('../statistics/enquiry'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../statistics/enquiry').default,
        exact: true,
      },
      {
        path: '/statistics/flow',
        icon: 'line-chart',
        name: 'statistics_flow',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/statistics/models/statistics.js').then(
                  m => {
                    return { namespace: 'statistics', ...m.default };
                  },
                ),
              ],
              component: () => import('../statistics/flow'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../statistics/flow').default,
        exact: true,
      },
      {
        path: '/statistics/goods',
        icon: 'deployment-unit',
        name: 'statistics_goods',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/statistics/models/statistics.js').then(
                  m => {
                    return { namespace: 'statistics', ...m.default };
                  },
                ),
              ],
              component: () => import('../statistics/goods'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../statistics/goods').default,
        exact: true,
      },
      {
        path: '/statistics/member',
        icon: 'solution',
        name: 'statistics_member',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/statistics/models/statistics.js').then(
                  m => {
                    return { namespace: 'statistics', ...m.default };
                  },
                ),
              ],
              component: () => import('../statistics/member'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../statistics/member').default,
        exact: true,
      },
      {
        path: '/marketing/center',
        icon: 'chrome',
        name: 'marketing_center',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/center'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/center').default,
        exact: true,
      },
      {
        path: '/marketing/coupon_list',
        icon: 'red-envelope',
        name: 'promotion_coupon_list',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/coupon/coupon_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/coupon/coupon_list').default,
        exact: true,
      },
      {
        path: '/marketing/coupon_list_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/coupon/add_coupon'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/coupon/add_coupon').default,
        exact: true,
      },
      {
        path: '/marketing/coupon_list_to_view',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/coupon/view_coupon'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/coupon/view_coupon').default,
        exact: true,
      },
      {
        path: '/marketing/coupon_list_to_receive_list',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () =>
                import('../marketing/coupon/member_receive_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/coupon/member_receive_lists').default,
        exact: true,
      },
      {
        path: '/marketing/full_acm',
        icon: 'fire',
        name: 'promotion_full_acm',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/full_acm_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/full_acm_list').default,
        exact: true,
      },
      {
        path: '/marketing/full_acm_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/add_full_acm'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/add_full_acm').default,
        exact: true,
      },
      {
        path: '/marketing/full_asm',
        icon: 'gold',
        name: 'promotion_full_asm',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/full_asm_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/full_asm_list').default,
        exact: true,
      },
      {
        path: '/marketing/full_asm_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/add_full_asm'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/add_full_asm').default,
        exact: true,
      },
      {
        path: '/marketing/full_ald',
        icon: 'money-collect',
        name: 'promotion_full_ald',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/full_ald_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/full_ald_list').default,
        exact: true,
      },
      {
        path: '/marketing/full_ald_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/add_full_ald'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/add_full_ald').default,
        exact: true,
      },
      {
        path: '/marketing/full_nld',
        icon: 'medicine-box',
        name: 'promotion_full_nld',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/full_nld_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/full_nld_list').default,
        exact: true,
      },
      {
        path: '/marketing/full_nld_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/full/add_full_nld'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/full/add_full_nld').default,
        exact: true,
      },
      {
        path: '/marketing/seckill',
        icon: 'thunderbolt',
        name: 'promotion_seckill',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/seckill/list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/seckill/list').default,
        exact: true,
      },
      {
        path: '/marketing/seckill_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/seckill/add_seckill'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/seckill/add_seckill').default,
        exact: true,
      },
      {
        path: '/marketing/seckill_bind_goods',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/seckill/joined_goods_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/seckill/joined_goods_list').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group',
        icon: 'flag',
        name: 'promotion_spell_group',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/spell_group/all_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/spell_group/all_list').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () =>
                import('../marketing/spell_group/add_spell_group'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/spell_group/add_spell_group').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group_to_view',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () =>
                import('../marketing/spell_group/view_spell_group'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/spell_group/view_spell_group').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group_bind_goods',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () =>
                import('../marketing/spell_group/joined_goods_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/spell_group/joined_goods_list').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group_order',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/spell_group/order_lists'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/spell_group/order_lists').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group_order_to_detail',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/order/models/express.js').then(
                  m => {
                    return { namespace: 'express', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/order.js').then(
                  m => {
                    return { namespace: 'order', ...m.default };
                  },
                ),
                import('D:/project/advich/xinketong-seller/src/pages/order/models/service.js').then(
                  m => {
                    return { namespace: 'service', ...m.default };
                  },
                ),
              ],
              component: () => import('../order/order_detail'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../order/order_detail').default,
        exact: true,
      },
      {
        path: '/marketing/spell_group_team_list',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/spell_group/team_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/spell_group/team_list').default,
        exact: true,
      },
      {
        path: '/marketing/ladder_group',
        icon: 'build',
        name: 'promotion_ladder_group',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/ladder_group/all_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/ladder_group/all_list').default,
        exact: true,
      },
      {
        path: '/marketing/ladder_group_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () =>
                import('../marketing/ladder_group/add_ladder_group'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/ladder_group/add_ladder_group').default,
        exact: true,
      },
      {
        path: '/marketing/ladder_group_to_view',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () =>
                import('../marketing/ladder_group/view_ladder_group'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/ladder_group/view_ladder_group').default,
        exact: true,
      },
      {
        path: '/marketing/ladder_group_team_list',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/ladder_group/team_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/ladder_group/team_list').default,
        exact: true,
      },
      {
        path: '/marketing/presale',
        icon: 'gift',
        name: 'promotion_presale',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/presale/list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/presale/list').default,
        exact: true,
      },
      {
        path: '/marketing/presale_to_view',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/presale/view_presale'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/presale/view_presale').default,
        exact: true,
      },
      {
        path: '/marketing/presale_bind_goods',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/presale/joined_goods_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/presale/joined_goods_list').default,
        exact: true,
      },
      {
        path: '/marketing/presale_to_add',
        icon: '',
        name: '',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/presale/add_presale'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/presale/add_presale').default,
        exact: true,
      },
      {
        path: '/marketing/video',
        icon: 'instagram',
        name: 'promotion_video',
        component: __IS_BROWSER
          ? _dvaDynamic({
              app: require('@tmp/dva').getApp(),
              models: () => [
                import('D:/project/advich/xinketong-seller/src/pages/marketing/models/promotion.js').then(
                  m => {
                    return { namespace: 'promotion', ...m.default };
                  },
                ),
              ],
              component: () => import('../marketing/video/member_list'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../marketing/video/member_list').default,
        exact: true,
      },
      {
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () => import('../404'),
              LoadingComponent: require('D:/project/advich/xinketong-seller/src/components/PageLoading/index')
                .default,
            })
          : require('../404').default,
        exact: true,
      },
      {
        component: () =>
          React.createElement(
            require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
      },
    ],
  },
  {
    component: () =>
      React.createElement(
        require('D:/project/advich/xinketong-seller/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
          .default,
        { pagesPath: 'src/pages', hasRoutesInConfig: true },
      ),
  },
];
window.g_routes = routes;
const plugins = require('umi/_runtimePlugin');
plugins.applyForEach('patchRoutes', { initialValue: routes });

export { routes };

export default class RouterWrapper extends React.Component {
  unListen() {}

  constructor(props) {
    super(props);

    // route change handler
    function routeChangeHandler(location, action) {
      plugins.applyForEach('onRouteChange', {
        initialValue: {
          routes,
          location,
          action,
        },
      });
    }
    this.unListen = history.listen(routeChangeHandler);
    // dva 中 history.listen 会初始执行一次
    // 这里排除掉 dva 的场景，可以避免 onRouteChange 在启用 dva 后的初始加载时被多执行一次
    const isDva =
      history.listen
        .toString()
        .indexOf('callback(history.location, history.action)') > -1;
    if (!isDva) {
      routeChangeHandler(history.location);
    }
  }

  componentWillUnmount() {
    this.unListen();
  }

  render() {
    const props = this.props || {};
    return (
      <RendererWrapper0>
        <Router history={history}>{renderRoutes(routes, props)}</Router>
      </RendererWrapper0>
    );
  }
}
