export default defineNuxtConfig({
  css: [
    "@/assets/style/variable.scss",
    "@/assets/style/reset.scss",
    "@/assets/style/base.scss",
    "@/assets/iconfont/iconfont.css",
    "element-plus/dist/index.css"
  ],
  modules: [
    '@pinia/nuxt'
  ],
  vite: {
    css: {
      preprocessorOptions: {
        scss: {
          additionalData: '@use "@/assets/style/theme.scss" as *;'
        }
      }
    }
  },
  runtimeConfig:{
 
  },
  app: {
    head: {
      htmlAttrs: {
        lang: 'en'
      },
    }
  },
  build: {
    transpile: [/^element-ui/],
    extractCSS: { allChunks: true }

  },
});
